exercise_04_13: exercise_04_13.o | .gitignore
	g++ $< -o $@ 
exercise_04_13.ii: exercise_04_13.cpp
	g++ -E $< -o $@
exercise_04_13.s: exercise_04_13.ii
	g++ -S $< -o $@
exercise_04_13.o: exercise_04_13.s
	g++ -c $< -o $@
.gitignore:
	echo "exercise_04_13" > $@
cleanup:
	rm *.ii *.s *.o exercise_04_13 .gitignore 
	rm -rf debug
test1: exercise_04_13 
	@./exercise_04_13 < test1.in > test1.out
	@diff test1.out test1.expected && echo PASSED || echo FAILED

.PRECIOUS: exercise_04_13.ii exercise_04_13.s
.SECONDARY: exercise_04_13.ii exercise_04_13.s

dbg: debug/exercise_04_13
debug/exercise_04_13: debug/exercise_04_13.o
	g++     -Wall -Wextra -Werror -g3 debug/exercise_04_13.o     -o debug/exercise_04_13
debug/exercise_04_13.o: debug/exercise_04_13.s
	g++ -c -Wall -Wextra -Werror -g3 debug/exercise_04_13.s     -o debug/exercise_04_13.o
debug/exercise_04_13.s: debug/exercise_04_13.ii
	g++ -S -Wall -Wextra -Werror -g3 debug/exercise_04_13.ii     -o debug/exercise_04_13.s
debug/exercise_04_13.ii: exercise_04_13.cpp
	g++ -E -Wall -Wextra -Werror -g3            exercise_04_13.cpp -o debug/exercise_04_13.ii
debug/exercise_04_13.ii: | debug
debug:
	mkdir -p debug

